Bug 244529 - crash when writing metadata in files
Summary: crash when writing metadata in files
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-TIFF (show other bugs)
Version: 1.2.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-13 21:08 UTC by Axel Krebs
Modified: 2017-08-10 19:35 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2010-07-13 21:08:46 UTC
Application: digikam (1.2.0)
KDE Platform Version: 4.4.2 (KDE 4.4.2) (Compiled from sources)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-23-generic x86_64
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
everytime I try to write all meta-data in the files "extra: write meta-data in all pictures", digikam crashes.

this type of crash is new, since up to now, digikam crashes "only" when attempting to build all fingerprints, respective to "search for duplicates", a feature based on "fingerprints". 

the only different thing: I did attribute "key words" to a panorama-pic, created with hugin hugin Version 2009.2.0.4461 (http://hugin.sourceforge.net) by Pablo d'Angelo 



The crash can be reproduced every time.

 -- Backtrace:
Application: digiKam (digikam), signal: Bus error
pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S
[Current thread is 1 (Thread 0x7fb31467e7e0 (LWP 3123))]

Thread 16 (Thread 0x7fb2f806e710 (LWP 3294)):
[KCrash Handler]
#5  memcpy () at ../sysdeps/x86_64/memcpy.S:78
#6  0x00007fb30abda3e1 in ?? () from /usr/lib/libtiff.so.4
#7  0x00007fb30abdbd44 in TIFFReadDirectory () from /usr/lib/libtiff.so.4
#8  0x00007fb30abfa430 in TIFFClientOpen () from /usr/lib/libtiff.so.4
#9  0x00007fb30ac04499 in TIFFFdOpen () from /usr/lib/libtiff.so.4
#10 0x00007fb30ac0450a in TIFFOpen () from /usr/lib/libtiff.so.4
#11 0x00007fb31155810b in Digikam::TIFFLoader::load (this=0x7fb2f806d010, filePath=..., observer=0x0) at /build/buildd/digikam-1.2.0/libs/dimg/loaders/tiffloader.cpp:126
#12 0x00007fb311544ad5 in Digikam::DImg::load (this=0x7fb2f806d510, filePath=..., loadFlagsInt=1, observer=<value optimized out>, rawDecodingSettings=<value optimized out>)
    at /build/buildd/digikam-1.2.0/libs/dimg/dimg.cpp:394
#13 0x00007fb31154559b in Digikam::DImg::loadImageInfo (this=0x7fb2f806d510, filePath=..., loadMetadata=<value optimized out>, loadICCData=<value optimized out>, loadUniqueHash=<value optimized out>)
    at /build/buildd/digikam-1.2.0/libs/dimg/dimg.cpp:334
#14 0x00007fb311189223 in Digikam::ImageScanner::loadFromDisk (this=0x7fb2f806d4f0) at /build/buildd/digikam-1.2.0/libs/database/imagescanner.cpp:594
#15 0x00007fb31118e6a9 in Digikam::ImageScanner::fileModified (this=0x7fb2f806c29e) at /build/buildd/digikam-1.2.0/libs/database/imagescanner.cpp:91
#16 0x00007fb31113f846 in Digikam::CollectionScanner::scanModifiedFile (this=0x7fb2f806dd20, info=..., scanInfo=<value optimized out>)
    at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:774
#17 0x00007fb31113fcff in Digikam::CollectionScanner::scanFileNormal (this=0x7fb2f806dd20, fi=..., scanInfo=...) at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:729
#18 0x00007fb311140ac0 in Digikam::CollectionScanner::scanAlbum (this=<value optimized out>, location=<value optimized out>, album=<value optimized out>)
    at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:654
#19 0x00007fb311140c69 in Digikam::CollectionScanner::scanAlbum (this=<value optimized out>, location=<value optimized out>, album=<value optimized out>)
    at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:683
#20 0x00007fb31114224a in Digikam::CollectionScanner::partialScan (this=0x7fb2f806dd20, albumRoot=<value optimized out>, album=...)
    at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:336
#21 0x00007fb3111425d5 in Digikam::CollectionScanner::partialScan (this=0x7fb2f806dd20, filePath=...) at /build/buildd/digikam-1.2.0/libs/database/collectionscanner.cpp:288
#22 0x00000000006e1e2e in Digikam::ScanController::run (this=0x2604760) at /build/buildd/digikam-1.2.0/digikam/scancontroller.cpp:553
#23 0x00007fb30dd24775 in QThreadPrivate::start (arg=0x2604760) at thread/qthread_unix.cpp:248
#24 0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#25 0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#26 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fb2f478b710 (LWP 4260)):
#0  0x00007fb30a0b4068 in g_main_context_query () from /lib/libglib-2.0.so.0
#1  0x00007fb30a0b939c in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fb30a0b98fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fb30de42566 in QEventDispatcherGlib::processEvents (this=0x2832160, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fb30de17992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fb30de17d6c in QEventLoop::exec (this=0x7fb2f478ad70, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fb30dd21d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x2624d90) at thread/qthread_unix.cpp:248
#8  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fb2f33de710 (LWP 4261)):
#0  0x00007fb30de421b3 in socketNotifierSourcePrepare (timeout=0x7fb2f33ddbdc) at kernel/qeventdispatcher_glib.cpp:73
#1  0x00007fb30a0b8eb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x00007fb30a0b9318 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007fb30a0b98fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007fb30de42566 in QEventDispatcherGlib::processEvents (this=0x2a17360, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007fb30de17992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007fb30de17d6c in QEventLoop::exec (this=0x7fb2f33ddd70, flags=) at kernel/qeventloop.cpp:201
#7  0x00007fb30dd21d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x265d260) at thread/qthread_unix.cpp:248
#9  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fb2f2ad1710 (LWP 4262)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb30dd2572b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2c91b58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2c91b58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb31167e532 in Digikam::LoadSaveThread::run (this=0x2c91b40) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x2c91b40) at thread/qthread_unix.cpp:248
#5  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fb2f22d0710 (LWP 4264)):
#0  __libc_disable_asynccancel () at ../nptl/sysdeps/unix/sysv/linux/x86_64/cancellation.S:95
#1  0x00007fb30cdbdf9b in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=1) at ../sysdeps/unix/sysv/linux/poll.c:89
#2  0x00007fb30a0b94a9 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007fb30a0b98fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007fb30de42566 in QEventDispatcherGlib::processEvents (this=0x292d9c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007fb30de17992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007fb30de17d6c in QEventLoop::exec (this=0x7fb2f22cfd70, flags=) at kernel/qeventloop.cpp:201
#7  0x00007fb30dd21d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x260d160) at thread/qthread_unix.cpp:248
#9  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fb2f1acf710 (LWP 4265)):
#0  0x00007fff701dd8d8 in clock_gettime ()
#1  0x00007fb305dcf09f in *__GI_clock_gettime (clock_id=1, tp=0x7fb2f1aceac0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007fb30de3f99f in qt_gettime () at kernel/qcore_unix.cpp:111
#3  0x00007fb30de446ad in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007fb30de446d5 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007fb30de4275d in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7fb2f1acebdc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007fb30de42805 in timerSourcePrepare (source=0x1, timeout=0x7fb2f1aceac0) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007fb30a0b8eb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x00007fb30a0b9318 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007fb30a0b98fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007fb30de42566 in QEventDispatcherGlib::processEvents (this=0x2806b50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#11 0x00007fb30de17992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#12 0x00007fb30de17d6c in QEventLoop::exec (this=0x7fb2f1aced70, flags=) at kernel/qeventloop.cpp:201
#13 0x00007fb30dd21d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007fb30dd24775 in QThreadPrivate::start (arg=0x2956b80) at thread/qthread_unix.cpp:248
#15 0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fb2e6859710 (LWP 4284)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fb2f06a7081 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fb2e4a18710 (LWP 4292)):
#0  0x00007fb30cdbdf83 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fb305bb829a in ?? () from /usr/lib/libxcb.so.1
#2  0x00007fb305bb87d7 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007fb305bb88f8 in ?? () from /usr/lib/libxcb.so.1
#4  0x00007fb305bb9c9a in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#5  0x00007fb2e5c50323 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_vo_out_xcbxv.so
#6  0x00007fb2f06b3083 in ?? () from /usr/lib/libxine.so.1
#7  0x00007fb2f0941956 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fb2f09018ff in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x00007fb2f0901a8d in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#10 0x00007fb30de28d6d in QObject::event (this=0x348d050, e=0x2fad250) at kernel/qobject.cpp:1231
#11 0x00007fb30ed0322c in QApplicationPrivate::notify_helper (this=0x2387ee0, receiver=0x348d050, e=0x2fad250) at kernel/qapplication.cpp:4300
#12 0x00007fb30ed096fb in QApplication::notify (this=0x7fff701665b0, receiver=0x348d050, e=0x2fad250) at kernel/qapplication.cpp:4183
#13 0x00007fb30fc69526 in KApplication::notify (this=0x7fff701665b0, receiver=0x348d050, event=0x2fad250) at ../../kdeui/kernel/kapplication.cpp:302
#14 0x00007fb30de1906c in QCoreApplication::notifyInternal (this=0x7fff701665b0, receiver=0x348d050, event=0x2fad250) at kernel/qcoreapplication.cpp:704
#15 0x00007fb30de1b7e7 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x348d290) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#16 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x348d290) at kernel/qcoreapplication.cpp:1345
#17 0x00007fb30de429d3 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#18 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#19 0x00007fb30a0b58c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#20 0x00007fb30a0b9748 in ?? () from /lib/libglib-2.0.so.0
#21 0x00007fb30a0b98fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#22 0x00007fb30de42513 in QEventDispatcherGlib::processEvents (this=0x348d6d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#23 0x00007fb30de17992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#24 0x00007fb30de17d6c in QEventLoop::exec (this=0x7fb2e4a17d10, flags=) at kernel/qeventloop.cpp:201
#25 0x00007fb30dd21d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#26 0x00007fb2f0903440 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#27 0x00007fb30dd24775 in QThreadPrivate::start (arg=0x348d110) at thread/qthread_unix.cpp:248
#28 0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#29 0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#30 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fb2df0bb710 (LWP 4299)):
#0  0x00007fb30cdbdf83 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fb2e4012915 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fb2e2eb6710 (LWP 4300)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb2f06b7e23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fb2e26b5710 (LWP 4310)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb30dd2572b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x37b6998, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x37b6998, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb31167e532 in Digikam::LoadSaveThread::run (this=0x37b6980) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x37b6980) at thread/qthread_unix.cpp:248
#5  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fb2dd0b7710 (LWP 4339)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb30dd2572b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x4a7a5d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x4a7a5d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb31167e532 in Digikam::LoadSaveThread::run (this=0x4a7a5c0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x4a7a5c0) at thread/qthread_unix.cpp:248
#5  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fb2dd8b8710 (LWP 4485)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb30dd2572b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x5054718, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x5054718, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb31167e532 in Digikam::LoadSaveThread::run (this=0x5054700) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x5054700) at thread/qthread_unix.cpp:248
#5  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fb2de8ba710 (LWP 18908)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb30dd2572b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x5ceaa48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x5ceaa48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb31167e532 in Digikam::LoadSaveThread::run (this=0x5ceaa30) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x5ceaa30) at thread/qthread_unix.cpp:248
#5  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fb2db8b4710 (LWP 18909)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fb30dd2572b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x5f0e7c8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x5f0e7c8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb31167e532 in Digikam::LoadSaveThread::run (this=0x5f0e7b0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fb30dd24775 in QThreadPrivate::start (arg=0x5f0e7b0) at thread/qthread_unix.cpp:248
#5  0x00007fb30da949ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fb30cdca6fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fb31467e7e0 (LWP 3123)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fb30dd240e5 in thread_sleep (ti=0x7fff701660f0) at thread/qthread_unix.cpp:398
#2  0x00007fb30dd24250 in QThread::msleep (msecs=<value optimized out>) at thread/qthread_unix.cpp:424
#3  0x00007fb2f092ab8a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#4  0x00007fb31402e846 in ?? () from /usr/lib/libphonon.so.4
#5  0x00007fb30cd1d262 in __run_exit_handlers (status=1) at exit.c:78
#6  *__GI_exit (status=1) at exit.c:100
#7  0x00007fb30037f4d6 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#8  0x00007fb30fc69288 in KApplication::xioErrhandler (this=0x7fff701665b0, dpy=0x239f410) at ../../kdeui/kernel/kapplication.cpp:408
#9  0x00007fb30c1607fe in _XIOError () from /usr/lib/libX11.so.6
#10 0x00007fb30c168355 in ?? () from /usr/lib/libX11.so.6
#11 0x00007fb30c168c07 in _XEventsQueued () from /usr/lib/libX11.so.6
#12 0x00007fb30c15140b in XEventsQueued () from /usr/lib/libX11.so.6
#13 0x00007fb30edb362c in x11EventSourceCheck (s=0x238bd30) at kernel/qguieventdispatcher_glib.cpp:87
#14 0x00007fb30a0b8b0a in g_main_context_check () from /lib/libglib-2.0.so.0
#15 0x00007fb30a0b94c3 in ?? () from /lib/libglib-2.0.so.0
#16 0x00007fb30a0b98fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#17 0x00007fb30de42513 in QEventDispatcherGlib::processEvents (this=0x234d6d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#18 0x00007fb30edb346e in QGuiEventDispatcherGlib::processEvents (this=0x7fff70166074, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#19 0x00007fb30de17992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#20 0x00007fb30de17d6c in QEventLoop::exec (this=0x7fff701664e0, flags=) at kernel/qeventloop.cpp:201
#21 0x00007fb30de1baab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#22 0x000000000077fa9b in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.2.0/digikam/main.cpp:193

Reported using DrKonqi
Comment 1 caulier.gilles 2010-07-14 09:36:04 UTC
Crash appear in TIFF loader which use libtiff. I recommend to check libtiff version installed on your computer (Help/Components info menu entry).

Also, i recommend to install last digiKam 1.3.0.

Gilles Caulier
Comment 2 Axel Krebs 2010-07-14 11:56:15 UTC
Thank you for hints; so it looks like a lib-problem!?

Under OS Ubuntu 10.04, I use OS-updates rather than updatung single 
progs; I think, I have to wait a little.


Axel Krebs

Am 14.07.2010 09:36, schrieb Gilles Caulier:
> https://bugs.kde.org/show_bug.cgi?id=244529
>
>
> Gilles Caulier<caulier.gilles@gmail.com>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |caulier.gilles@gmail.com
>
>
>
>
> --- Comment #1 from Gilles Caulier<caulier gilles gmail com>   2010-07-14 09:36:04 ---
> Crash appear in TIFF loader which use libtiff. I recommend to check libtiff
> version installed on your computer (Help/Components info menu entry).
>
> Also, i recommend to install last digiKam 1.3.0.
>
> Gilles Caulier
>
Comment 3 Marcel Wiesweg 2010-07-29 10:25:13 UTC
Do you know which is the problematic picture?
It is a TIFF file, the name may be printed on the console shortly before the crash, and it happens when _reading_ the file (scanning triggered by the file changes).
Comment 4 Axel Krebs 2010-07-29 19:38:07 UTC
Dear Marcel:

thank you for your mail.

As I answered to Gilles suggestion (comment #1), that I prefer keeping my system congruent and do install my distri, here UBUNTO 10.04, which is "Long Term Serviced" (LTS); maybe, this does not comply perfectly with subsequently refined software modules as it is with DIGIKAM, e.g.

Controversely to my own speech (and as I wrote), I did follow http://www.digikam.org/drupal/node/528 to update DIGIKAM to 1.3 under 10.04. 
>> Crashes, nothing worked anymore. Needed new system-installation (+ lost half a day... :-( ).

Unfortunately, it is some time back, when this crashes occured. And I did not note the pic's name :-( ! That's why, I don't really know the right picture anymore. I'afraid! Sorry!

Given the pictures date an dthe assumption that is was a *.tif pic, one migth assume some potential risky pics. These have image sizes between 38,3 and 299,1 MB. I have no idea, how to send these over an "normal" eMail-account.

Some time ago, I asked for a tool to check pictures integrity (for whatever type of defectness). If one had such a tool, one could exclude certain pic's to a "quarantane" as virus checkers often do.

Do you want some of those pics? How can we get along with? Is there a small image checker tool?

Happy to help. Let me know!



Axel



P.S.: tif-pics occur only as products of hugin-panorama; at this moment, I own 110 with max size about 1000 MB (usually, this crazy volume are converted to png or smaller jpg's)
Comment 5 Marcel Wiesweg 2010-08-03 10:41:40 UTC
The crash occurs when opening an image with libtiff, deep inside libtiff. We dont really want to read the image, just get some information. This must be some libtiff problem.

There are some tools that come with libtiff, like "tiffinfo". You could try something like 
find /media/fotos/Digikam\ Sample/ -name \*.tif -or -name \*.tiff -print -exec tiffinfo {} \;
and see if tiffinfo also crashes at some point.
Comment 6 Axel Krebs 2010-08-05 23:05:34 UTC
(In reply to comment #3)
> Do you know which is the problematic picture?
> It is a TIFF file, the name may be printed on the console shortly before the
> crash, and it happens when _reading_ the file (scanning triggered by the file
> changes).

You'll get it under <http://www.dropbox.com/help/16> Folder /Photos/Bilder, DSC_0202.NEF (resp. DSC_0202.jpg; *.NEF = NIKON-Raw)

Sorry, I do not have any experience with net-storage.
Comment 7 Marcel Wiesweg 2010-08-17 12:18:27 UTC
The link leads me to the help page explaining how to create a link to a file...
Comment 8 caulier.gilles 2010-10-06 09:42:28 UTC
What's new there ? Please try using digiKam 1.4.0...

Gilles Caulier
Comment 9 Axel Krebs 2010-10-06 21:00:51 UTC
Am 06.10.2010 09:42, schrieb Gilles Caulier:
> https://bugs.kde.org/show_bug.cgi?id=244529
> 
> 
> 
> 
> 
> --- Comment #8 from Gilles Caulier <caulier gilles gmail com>  2010-10-06 09:42:28 ---
> What's new there ? Please try using digiKam 1.4.0...
> 
> Gilles Caulier
> 
Gilles,

thanks for answer.

This question comes from June 2010.

My UBUNTU 10.04 LTS ist working completely fine and stable- I just like
to keep a rubning system.

As you remember about 2 weeks ago:

I experienced system crashes when installing DIGIKAM 1.4 following
<http://www.digikam.org/drupal/node/528> .

You told me therefore to ask KDE-team for answers, without any response.

Why is DIGIKAM related to KDE??

Why don`t using an OS optimized for stability as UBUNTU, DEBIAN ( you
told me, what you use yourself )

Tt is hard to be dependent on such a DESKTOP for _one_ very favourable
program as DIGIKAM!!!

I beg you for mercy!!!



Axel
Comment 10 Marcel Wiesweg 2010-10-07 16:58:30 UTC
http://www.kde.org/developerplatform/
Comment 11 Marcel Wiesweg 2010-10-07 16:58:31 UTC
http://www.kde.org/developerplatform/
Comment 12 caulier.gilles 2010-11-24 09:10:24 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 13 Marcel Wiesweg 2011-01-26 11:32:05 UTC
Coming back to comments #5 and #6: The dropbox location never worked, at least with the given link. It is all right for me to send a file of a few MB to my personal mail account though, this could be easier.
Comment 14 caulier.gilles 2011-07-06 10:55:35 UTC
We need feedback using a recent version. 2.0.0 RC is out, please test...

Thanks in advance

Gilles Caulier
Comment 15 Axel Krebs 2011-07-19 19:22:32 UTC
Gilles:

sorry for delay, I am very busy in job, right now.

Since 2.0rc, I checked writing...
- rebuild all thumbnails, 
- writing fingerprints
- writing metadata 

as single task and all at the time. It took from 8 hours to 2,5 days, but no crash occured any more. 

Hope this helps


Axel
Comment 16 caulier.gilles 2011-07-21 09:31:39 UTC
Ok, i close this file now. reopen if necessary

Gilles Caulier
Comment 17 Axel Krebs 2011-07-23 11:50:18 UTC
Am 21.07.2011 11:31, schrieb Gilles Caulier:
> https://bugs.kde.org/show_bug.cgi?id=244529
> 
> 
> Gilles Caulier <caulier.gilles@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |RESOLVED
>           Component|general                     |Metadata
>          Resolution|                            |FIXED
> 
> 
> 
> 
> --- Comment #16 from Gilles Caulier <caulier gilles gmail com>  2011-07-21 09:31:39 ---
> Ok, i close this file now. reopen if necessary
> 
> Gilles Caulier
> 
Thanks for offer, let´s hope for stable solution

Axel